> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/accounts-directory/list-vasps.md).

# List VASPs

<mark style="color:green;">`GET`</mark>  `/api/v2/directory/vasps`

This endpoint returns the list of VASP records that can be sorted and paginated.

Query Parameters

| Name   | Type    | Description                                                                                                                                               | Required |
| ------ | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `page` | integer | <p>The page number to view from the list. <br><br>Defaults to <strong>1</strong> if not provided.</p>                                                     | False    |
| `size` | integer | <p>The size of each page.<br><br>Defaults to <strong>50</strong> if not provided. </p>                                                                    | False    |
| `sort` | string  | <p>Sort the list based on the provided field name. <br><br>e.g. <br><strong>vasp\_id</strong> (asc order) <br><strong>-vasp\_id</strong> (desc order)</p> | False    |

Response

{% tabs %}
{% tab title="200" %}

```json
{
  "status": "success",
  "data": {
    "items": [
      {
        "vasp_id": "ABCXYZ",
        "name_legal": "Sample Ltd",
        "name_business": "Sample Ltdp",
        "address_country_code": "UK",
        "address_street_no": "32",
        "address_street_name": "Old Jewry",
        "address_city": "London",
        "address_region": "South-east England",
        "address_postcode": "EC2R 2DN",
        "website": "www.sample.io",
        "summary": "This firm is registered for certain cryptoasset activities. For more information, check out [ ]",
        "supported_protocols": [
          "flow"
        ],
        "national_id_type_code": "LEIX",
        "national_id": "3523524",
        "national_id_issue_country": null,
        "national_id_registration_authority": "RA999999"
      }
    ], 
    "pagination": {
      "total": 1,
      "size": 50,
      "page": 1
    }
  },
  "message": "null"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ospree.io/developers/accounts-directory/list-vasps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
